curl -L https://api.turso.tech/v1/organizations/{organizationSlug}/audit-logs \
-H 'Authorization: Bearer TOKEN'
{
"audit_logs": [
{
"code": "db-create",
"message": "",
"origin": "cli",
"author": "iku",
"created_at": "2023-12-20T09:46:08Z",
"data": {}
}
],
"pagination": {
"page": 1,
"page_size": 10,
"total_pages": 1,
"total_rows": 1
}
}Audit Logs
List Audit Logs
Return the audit logs for the given organization, ordered by the created_at field in descending order.
GET
/
v1
/
organizations
/
{organizationSlug}
/
audit-logs
curl -L https://api.turso.tech/v1/organizations/{organizationSlug}/audit-logs \
-H 'Authorization: Bearer TOKEN'
{
"audit_logs": [
{
"code": "db-create",
"message": "",
"origin": "cli",
"author": "iku",
"created_at": "2023-12-20T09:46:08Z",
"data": {}
}
],
"pagination": {
"page": 1,
"page_size": 10,
"total_pages": 1,
"total_rows": 1
}
}Audit Logs are limited to scaler plan and above.
curl -L https://api.turso.tech/v1/organizations/{organizationSlug}/audit-logs \
-H 'Authorization: Bearer TOKEN'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The slug of the organization or user account.
Query Parameters
The limit of items to return per page. Defaults to 100.
The page number to return. Defaults to 1.
Was this page helpful?